> ## Documentation Index
> Fetch the complete documentation index at: https://revinel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an ad's daily impression/click stats



## OpenAPI

````yaml https://api.revinel.com/v1/openapi.json get /workspaces/{workspaceId}/ads/{adId}/stats
openapi: 3.1.1
info:
  title: Revinel API
  version: 1.0.0
  description: >-
    Public surface of the Revinel platform. Consumed by `@revinel/sdk` and
    `@revinel/react`.


    **Errors** are returned as an oRPC envelope: `{ defined: boolean, code:
    string, status: number, message: string, data?: object }`. Input-validation
    failures return HTTP **422** with `code: "INPUT_VALIDATION_FAILED"` and
    `data.fieldErrors` / `data.formErrors`.
servers:
  - url: https://api.revinel.com/v1
security: []
paths:
  /workspaces/{workspaceId}/ads/{adId}/stats:
    get:
      tags:
        - Ads (Beta)
      summary: Get an ad's daily impression/click stats
      operationId: ads.stats
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: adId
          in: path
          required: true
          schema:
            type: string
        - name: days
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 180
            default: 30
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  days:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  rows:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                          format: date-time
                          x-native-type: date
                        impressions:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        clicks:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - date
                        - impressions
                        - clicks
                  totals:
                    type: object
                    properties:
                      impressions:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      clicks:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - impressions
                      - clicks
                required:
                  - days
                  - rows
                  - totals
        '409':
          description: '409'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: CONFLICT_FIELD
                      status:
                        const: 409
                      message:
                        type: string
                        default: CONFLICT_FIELD
                      data:
                        type: object
                        properties:
                          formErrors:
                            type: array
                            items:
                              type: string
                          fieldErrors:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              type: array
                              items:
                                type: string
                        required:
                          - formErrors
                          - fieldErrors
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INPUT_VALIDATION_FAILED
                      status:
                        const: 422
                      message:
                        type: string
                        default: INPUT_VALIDATION_FAILED
                      data:
                        type: object
                        properties:
                          formErrors:
                            type: array
                            items:
                              type: string
                          fieldErrors:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              type: array
                              items:
                                type: string
                        required:
                          - formErrors
                          - fieldErrors
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message

````